Page MenuHomePhabricator

[clang-rename] merge tests when possible
ClosedPublic

Authored by omtcyfz on Aug 4 2016, 2:22 AM.

Details

Summary

The only difference between some tests is -offset passed to clang-rename. It makes sense to merge them into a single file and add multiple tool invocations.

Diff Detail

Repository
rL LLVM

Event Timeline

omtcyfz updated this revision to Diff 66775.Aug 4 2016, 2:22 AM
omtcyfz retitled this revision from to [clang-rename] merge tests when possible.
omtcyfz updated this object.
omtcyfz added reviewers: alexfh, klimek.
omtcyfz added a subscriber: cfe-commits.
alexfh edited edge metadata.Aug 4 2016, 6:32 AM

Awesome! A few improvements are still possible though. See inline comments.

test/clang-rename/ClassAsTemplateArgument.cpp
15 ↗(On Diff #66775)

Since clang-rename can output the result to stdout, it makes sense to avoid copying files and switch to a single pipeline for each test case.

16 ↗(On Diff #66775)

Please add instruction on how to find offsets (something along the lines of "n-th line of grep -b Foo test-file.cpp").

alexfh requested changes to this revision.Aug 4 2016, 6:54 AM
alexfh edited edge metadata.
This revision now requires changes to proceed.Aug 4 2016, 6:54 AM
omtcyfz updated this revision to Diff 66801.Aug 4 2016, 7:08 AM
omtcyfz updated this revision to Diff 66803.
omtcyfz edited edge metadata.
omtcyfz marked an inline comment as done.
omtcyfz edited edge metadata.

Rebased on master. Removed unneeded file copying etc since clang-rename can output to the stdout.

alexfh added a comment.Aug 4 2016, 8:09 AM

Much better now, please also add instruction on how to find offsets.

omtcyfz updated this revision to Diff 66818.Aug 4 2016, 9:16 AM

Make testset great again.

alexfh requested changes to this revision.Aug 8 2016, 2:57 PM
alexfh edited edge metadata.

Removing from my dashboard until the comments are addressed.

This revision now requires changes to proceed.Aug 8 2016, 2:57 PM
omtcyfz updated this revision to Diff 67501.Aug 10 2016, 3:39 AM
omtcyfz edited edge metadata.

Address comments.

alexfh accepted this revision.Aug 10 2016, 5:13 AM
alexfh edited edge metadata.

Looks good. Thank you!

This revision is now accepted and ready to land.Aug 10 2016, 5:13 AM
omtcyfz updated this revision to Diff 67515.Aug 10 2016, 6:26 AM
omtcyfz edited edge metadata.

Update files not previouysly added with git add.

omtcyfz updated this revision to Diff 67516.Aug 10 2016, 6:28 AM

Delete two more files.

This revision was automatically updated to reflect the committed changes.